/**
 * tinydnsupdate.c
 * just "cd $TINYDNS_ROOT" and call "make" periodically
 * compile with dietlibc
 */

#include <unistd.h>
#include <stdlib.h>

int main()
{
  char *dir;

  dir = getenv("TINYDNS_ROOT");
  if (!dir) exit(1);
  if (chdir(dir) == -1) exit(2);
  for (;;) {
    if (system("make") == -1) exit(3);
    sleep(10);
  }
}
